package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.eo.Spike;

import java.util.List;

/**
 *  秒杀接口
 * @author Administrator
 * @Date 2019-10-21
 */
public interface SpikeMapper {
    /**
     * 获取集合
     * @param  spike
     * @return List
     */
    List<Spike> getSpikeList(Spike spike);

    /**
     * 获取集合
     * @param  str
     * @return List
     */
    List<Spike> getSpikeListAll(int[] str);
    /**
     * 查询单条数据
     * @param  id
     * @return  spike
     */
    Spike getSpikeById(Integer id);
}
